Welcome to Geeklog, Anonymous Wednesday, April 17 2024 @ 12:11 pm EDT

Geeklog Forums

Template error w/ double // ??


Status: offline

jef

Forum User
Junior
Registered: 07/26/03
Posts: 28
Hi, I\'ve just installed version 1.3.7 and testing it. In my admin panel, when I want to access Static Pages admin, I get this: \"Template Error: loadfile: While loading row, /home/tourbec//plugins/staticpages/templates/admin/row.thtml does not exist or is empty\" I dunno where the double slash comes from. Thanks for your help jef
It ain't easy being you
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 01/12/02
Posts: 13073
Location:Stuttgart, Germany
Quote by jef:I\'ve just installed version 1.3.7 and testing it.
Is there any reason why you\'re installing an old version? Or was that a typo? Geeklog 1.3.8 is the current version.
Quote by jef:\"Template Error: loadfile: While loading row, /home/tourbec//plugins/staticpages/templates/admin/row.thtml does not exist or is empty\"
Looks like a path problem. Is that really where that file resides (minus the double slash)? If you can\'t figure it out yourself, please tell us your setting for $_CONF[\'path\'] and/or the URL of your site. bye, Dirk
 Quote

Status: offline

jef

Forum User
Junior
Registered: 07/26/03
Posts: 28
Well, I\'ve installed v.1.3.7 because I only trust \"well tried\" versions when trying a new product. I\'m new to PHP and I\'m going forward with caution. But I\'ll update when I\'ll be comfortable enough with the system, don\'t worry about that. Maybe for version 1.4 ?? The file is really at /home/tourbec/plugins/staticpages/templates/admin/row.thtml just under my public_html directory There\'s this extra slash (tourbec//plugins), and I dunno where it comes from. This is the path: $_CONF[\'path\'] = \'/home/tourbec/\'; My website is http://www.tourbec.info and the test folder for Geeklog is http://www.tourbec.info/tourbec Thanks jef
It ain't easy being you
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 01/12/02
Posts: 13073
Location:Stuttgart, Germany
The extra slash shouldn\'t really matter (that has been fixed in 1.3.8, btw). Your site seems to work fine otherwise, so I assume the path setting is correct. And since you say the file is really there, the only thing I could think of is permissions. Make sure the file and the entire path to it are readable by the webserver. Hope that helps. bye, Dirk
 Quote

Status: offline

DTrumbower

Forum User
Moderator
Registered: 01/08/03
Posts: 507
Quote by jef: Well, I\'ve installed v.1.3.7 because I only trust \"well tried\" versions when trying a new product. I\'m new to PHP and I\'m going forward with caution. But I\'ll update when I\'ll be comfortable enough with the system, don\'t worry about that. Maybe for version 1.4 ??
Then you better try 1.3.8. It is the \"well tried\" version and doens\'t have the two main security problems that 1.3.7 has. Open source software is a little different than commercial software.
 Quote

Status: offline

Dirk

Site Admin
Admin
Registered: 01/12/02
Posts: 13073
Location:Stuttgart, Germany
Quote by DTrumbower:Then you better try 1.3.8. It is the \"well tried\" version and doens\'t have the two main security problems that 1.3.7 has.
According to his site, he\'s running 1.3.7sr2, so he\'s safe ... bye, Dirk
 Quote

Status: offline

jef

Forum User
Junior
Registered: 07/26/03
Posts: 28
Ok, you got me, I\'ll go for 1.3.8 I\'m still exploring the capabilities of GL. I need to find out if I can connect pages generated by GL to my shopping cart (post action with cgi-perl script) OR if I can find a simple cart plugin for GL... I\'m searching... Thanks for any lead on that jef
It ain't easy being you
 Quote

All times are EDT. The time is now 12:11 pm.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content